【TIPS】WordPress 4.X で Collapsing Archives が動かなくなったときの応急処置方法

Collapsing Archives
WordPressで、アーカイブをコンパクトに折りたたんでくれる便利なプラグインとして、「Collapsing Archives」を愛用しています。(関連記事

WordPress 4.0では、Collapsing Archivesが動作しなくなりました。具体的には、「外観」→「ウィジェット」の「利用できるウィジェット」に表示されません。

Collapsing Archivesは、2014年9月5日現在のバージョンは2.0。最終アップデートは2011年1月13日と3年以上もアップデートされていません。対応版がリリースされるか微妙?

9月5日に、Collapsing Archives 2.0.1がリリースされ、下記の問題は、対応・解決済みです。

取り急ぎ、応急処置をしましたので情報をシェアします。

なお、以下のカスタマイズは自己責任でお願いします。作業の前に、念のためにデータベースとプラグインのバックアップをしておきましょう。

スポンサーリンク

Collapsing Archives WP4 臨時対応方法

Collapsing Archives
WordPress 4.0の管理画面で、「プラグイン」→(「インストール済みプラグイン」→)「プラグイン」→「Collapsing Archives」の「編集」をクリック。

Collapsing Archives
プラグイン(「collapsing-archives/collapsArch.php」)の編集画面で、最終行から3行目付近に4.XXもOKになる呪文を埋め込み、「ファイルを更新」をクリックすれば完了です。

$version = get_bloginfo('version');
if (preg_match('/^(2.[8-9]|3..*)/', $version)) 
  include('collapsArchWidget.php');
?>

$version = get_bloginfo('version');
if (preg_match('/^(2.[8-9]|3..* |4..*)/', $version)) 
  include('collapsArchWidget.php');
?>

Collapsing Archives
「外観」→「ウィジェット」に「1Collapsing Archives」が表示されれば成功です。

Collapsing Archives
WordPress 4.0でも無事にCollapsing Archivesが動作しました!! やった〜〜〜!!

Collapsing Archives ユーザーの方は参考にしてくたさいね!!

スポンサーリンク
【TIPS】WordPress 4.X で Collapsing Archives が動かなくなったときの応急処置方法
この記事をお届けした
ひとぅブログの最新ニュース情報を、
いいねしてチェックしよう!

フォローする

Highslide for Wordpress Plugin